%define module	SVN-Notify-Config
%define name	perl-%{module}
%define version	0.09.07
%define up_version	0.0907
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Config-driven Subversion notification
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/SVN/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(SVN::Notify)
BuildRequires:	perl(YAML)
BuildRequires:  perl(Module::Build)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is a YAML-based configuration wrapper on SVN::Notify.

%prep
%setup -q -n %{module}-%{up_version}

%build
perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SVN
%{_mandir}/*/*



%changelog
* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.07-1mdv2007.0
+ Revision: 86579
- new version

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09.06-2mdv2007.1
+ Revision: 84675
- new release
- switch to Module::Build based build
- new version

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2007.0
+ Revision: 54098
- 0.08
- disable test, are bad
- Import perl-SVN-Notify-Config


* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.07-1mdv2007.0
- 0.07

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk
- buildrequires perl-YAML

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- first mdk release
